Bug 839893 - Default server for domain xn--mgbaam7a8h should be whois.aeda.net.ae
Default server for domain xn--mgbaam7a8h should be whois.aeda.net.ae
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: whois (Show other bugs)
16
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 03:17 EDT by Petr Pisar
Modified: 2012-07-30 18:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: whois-5.0.17-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 839763
Environment:
Last Closed: 2012-07-30 18:22:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-07-13 03:17:52 EDT
+++ This bug was initially created as a clone of Bug #839763 +++

Description of problem:

Even in latest version, whois.aeda.ae is used, which does not exist. Whois should use whois.aeda.net.ae instead - this one is working and correct according to iana.

Version-Release number of selected component (if applicable):

whois-5.0.17-1

How reproducible:

Always

Steps to Reproduce:
1. whois إدارة-أسماء-نطاق-الانترنت.امارات
2.
3.
  
Actual results:

getaddrinfo(whois.aeda.ae): Name or service not known

Expected results:

Like this:

# whois -h whois.aeda.net.ae إدارة-أسماء-نطاق-الانترنت.امارات
Domain Name:                     إدارة-أسماء-نطاق-الانترنت.امارات <xn------zyejkoccbapwa6d7al1a3fxlrbn0ahc.xn--mgbaam7a8h>
Domain Variant:                  إدارة-أسماء-نطاق-الإنترنت.امارات <xn------zyejkfkccbqwa6d7al1a3fxlrbn0ahc.xn--mgbaam7a8h>
Domain Variant:                  ادارة-اسماء-نطاق-الانترنت.امارات <xn------zye2aabacbapwa6d7al1a3fxlrbn0ahc.xn--mgbaam7a8h>
Registrar ID:                    aeDA Registry
Registrar Name:                  aeDA Registry
Status:                          ok
...
-----

All Fedoras are affected.
Comment 1 Fedora Update System 2012-07-13 04:00:04 EDT
whois-5.0.17-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/whois-5.0.17-2.fc17
Comment 2 Fedora Update System 2012-07-13 04:00:50 EDT
whois-5.0.17-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/whois-5.0.17-2.fc16
Comment 3 Fedora Update System 2012-07-14 17:47:55 EDT
Package whois-5.0.17-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing whois-5.0.17-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10603/whois-5.0.17-2.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-30 18:22:46 EDT
whois-5.0.17-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-30 18:26:59 EDT
whois-5.0.17-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.